Page MenuHomePhabricator

PerformanceInspector extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the PerformanceInspector PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/PerformanceInspector : masterDelete dummy PHPUnit test

Event Timeline

Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 20 2018, 1:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vvjjkkii renamed this task from PerformanceInspector extension is missing @covers tags to emcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from emcaaaaaaa to PerformanceInspector extension is missing @covers tags.Jul 1 2018, 5:11 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 448839 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/PerformanceInspector@master] Delete dummy PHPUnit test

https://gerrit.wikimedia.org/r/448839

Change 448839 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Delete dummy PHPUnit test

https://gerrit.wikimedia.org/r/448839

Legoktm closed this task as Resolved.Jul 28 2018, 2:54 PM
Legoktm claimed this task.